package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamCourseGroupRelationEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamCourseGroupRelationPK;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamCourseGroupRelationRepo
		extends
			JpaRepository<ExamCourseGroupRelationEntity, ExamCourseGroupRelationPK>,
			QueryByExampleExecutor<ExamCourseGroupRelationEntity> {

	List<ExamCourseGroupRelationEntity> findAllByGroupId(Long groupId);

	List<ExamCourseGroupRelationEntity> findAllByCourseIdAndExamId(Long courseId, Long examId);

	void deleteByGroupId(Long groupId);

}
