package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamCourseGroupSettingsEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamCourseGroupSettingsRepo
		extends
			JpaRepository<ExamCourseGroupSettingsEntity, Long>,
			QueryByExampleExecutor<ExamCourseGroupSettingsEntity> {

	List<ExamCourseGroupSettingsEntity> findAllByExamId(Long examId, Pageable pageable);

	List<ExamCourseGroupSettingsEntity> findAllByIdInOrderByUpdateTimeDesc(List<Long> idList);

}
