package cn.com.qmth.examcloud.core.examwork.base.enums;

import cn.com.qmth.examcloud.commons.base.helpers.DynamicEnumManager;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月6日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamProperty {

	private static DynamicEnumManager manager;

	/**
	 * 启动初始化
	 *
	 * @author WANGWEI
	 */
	public static void init() {
		manager = DynamicEnumManager.newInstance("exam-properties.xml");
	}

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @return
	 */
	public static DynamicEnumManager getDynamicEnumManager() {
		return manager;
	}

}
