package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamPaperTypeRelationEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamPaperTypeRelationPK;

public interface ExamPaperTypeRelationRepo
		extends
			JpaRepository<ExamPaperTypeRelationEntity, ExamPaperTypeRelationPK>,
			QueryByExampleExecutor<ExamPaperTypeRelationEntity>,
			JpaSpecificationExecutor<ExamPaperTypeRelationEntity> {

	List<ExamPaperTypeRelationEntity> findByExamIdAndCourseId(Long examId, Long courseId);

	void deleteByExamId(Long examId);

	void deleteByExamIdAndCourseIdAndPageType(Long examId, Long courseId, String pageType);

}
