package cn.com.qmth.examcloud.core.examwork.service;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamEntity;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamOrgSettingsEntity;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamOrgSettingsInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月17日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamService {

	/**
	 * 保存考试
	 *
	 * @author WANGWEI
	 * @param examInfo
	 * @return
	 */
	ExamEntity saveExam(ExamInfo examInfo);

	/**
	 * 保存考试机构设置
	 *
	 * @author WANGWEI
	 * @param examInfo
	 * @return
	 */
	ExamOrgSettingsEntity saveExamOrg(ExamOrgSettingsInfo examOrgInfo);

	/**
	 * 查询机构属性
	 *
	 * @author WANGWEI
	 * @param examId
	 * @param orgId
	 * @param key
	 * @return
	 */
	String getOrgProperty(Long examId, Long orgId, String key);

}
